Package org.eclipse.microprofile.rest.client.tck

# Class ProducesConsumesTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.rest.client.tck.ProducesConsumesTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class ProducesConsumesTest extends org.jboss.arquillian.testng.Arquillian
Tests that MP Rest Client's `@Produces` annotation affects the value transmitted in the `Accept` header, and that it's `@Consumes` annotation affects the value transmitted in the `Content-Type` header. Note that this is opposite of what you would expect for Jakarta RESTful Web Services resources.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`JSON_PAYLOAD`
`static final String`
`XML_PAYLOAD`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`ProducesConsumesTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.Archive<?>`
`createDeployment()`
`void`
`testProducesConsumesAnnotationOnInterface()`
`void`
`testProducesConsumesAnnotationOnMethod()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### XML_PAYLOAD

public static final String XML_PAYLOAD

See Also:
  - Constant Field Values

### JSON_PAYLOAD

public static final String JSON_PAYLOAD

See Also:
  - Constant Field Values

## Constructor Details

### ProducesConsumesTest

public ProducesConsumesTest()

## Method Details

### createDeployment

@Deployment public static org.jboss.shrinkwrap.api.Archive<?> createDeployment()

### testProducesConsumesAnnotationOnMethod

public void testProducesConsumesAnnotationOnMethod()

### testProducesConsumesAnnotationOnInterface

public void testProducesConsumesAnnotationOnInterface()